Subject: Odd bit of code...

From: Suzanne Britton <[email-masked]>
Date: Sat, 29 Sep 2001 03:50:06 -0400

Greets,

I've been playing with the fvwm code lately, and I just noticed this odd bit
in DestroyFvwmDecor (builtins.c):

  for (i = 0; i < BS_MaxButtonState; ++i)
  {
    int j = 0;
    for (; j < BS_MaxButtonState; ++j)
      FreeDecorFace(dpy, &TB_STATE(decor->titlebar)[i]);
  }

Is the inner loop necessary? If so...can someone explain it to me? :-)

Thanks,
Suzanne

-- 
[email-masked] - http://www.igs.net/~tril/
"I'm aware of that, sweetheart. It's just that when I wake up to a hissing
goat skull on my nightstand, and it hops off and runs across the floor on
spider legs, I sleep a lot better knowing where it ran off to."
                                                          - Ted (Red Meat)
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]